Skip to main content
GET
List runs

Authorizations

Authorization
string
header
required

API token from cargo-ai login. Send as Authorization: Bearer <token>.

Scopes

openid

OpenID Connect identity.

profile

Name and profile claims.

email

Email address.

offline_access

Refresh token.

Path Parameters

uuid
string
required

State whose runs to list.

Query Parameters

pullRequestNumber
integer

Only the runs for this pull request.

Required range: 1 <= x <= 9007199254740991
headShas
string[]

Only the runs for these commits.

Minimum array length: 1
Minimum string length: 1
kind
enum<string>

Only plans or only deploys.

Available options:
plan,
deploy
limit
integer

How many runs to return, newest first, after the filters above. Defaults to 20.

Required range: 1 <= x <= 100

Response

List runs

stateRuns
object[]
required